Skip to main content
GET
/
api
/
analytics
/
team
/
snapshot
/
average-first-response-time
Get average first response time
curl --request GET \
  --url https://api.example.com/api/analytics/team/snapshot/average-first-response-time \
  --header 'x-api-key: <x-api-key>'
{
  "averageFirstResponseTime": 300
}

Headers

x-api-key
string
required

API key

Query Parameters

startDate
string

Start date (ISO 8601). Defaults to today-7d 00:00.

Example:

"2025-05-27"

endDate
string

End date (ISO 8601). Defaults to today 23:59.

Example:

"2025-06-03"

agentIds
string[]

Optional array of agent IDs to filter by specific agents

Example:
["agent-id-1", "agent-id-2"]
pipelineId
string

Optional pipeline ID to filter by specific pipeline

Example:

"pipeline-id-1"

stageIds
string[]

Optional array of stage IDs to filter by specific stages

Example:
["stage-id-1", "stage-id-2"]
hideArchived
boolean

Optional boolean to filter by archived conversations

Example:

true

hideUnassigned
boolean

Optional boolean to filter by unassigned conversations

Example:

true

Response

200 - application/json

Successfully retrieved average first response time

averageFirstResponseTime
number

Average first response time in seconds

Example:

300